// an external way to creating logs
import { createRoute, OpenAPIHono, z } from "@hono/zod-openapi";
import { responses } from "../../../../globalUtils/routeDefs/responses.js";
import { tryCatch } from "../../../../globalUtils/tryCatch.js";
import { getLots } from "../../controller/lots/lots.js";
import { apiHit } from "../../../../globalUtils/apiHits.js";

const app = new OpenAPIHono({ strict: false });

app.openapi(
    createRoute({
        tags: ["ocp"],
        summary: "Returns current active lots that are tech released",
        method: "get",
        path: "/getlots",
        responses: responses(),
    }),
    async (c: any) => {
        const { data: lotData, error: lotError } = await tryCatch(getLots());
        apiHit(c, { endpoint: "/getlots" });
        if (lotError) {
            return c.json({
                success: false,
                message: "There was an error getting the printers",
            });
        }

        return c.json({
            success: lotData?.success,
            message: lotData?.message,
            data: lotData?.data,
        });
    }
);
export default app;
